sha256_state Struct Reference

`#include <sha256_i.h>`

## Data Fields

u64 | length
u32 | state [8]
u32 | curlen
u8 | buf [SHA256_BLOCK_SIZE]

## Field Documentation

## buf

u8 sha256_state::buf[SHA256_BLOCK_SIZE]

Referenced by sha256_compress(), sha256_done(), and sha256_process().

## curlen

u32 sha256_state::curlen

Referenced by sha256_done(), sha256_init(), and sha256_process().

## length

u64 sha256_state::length

Referenced by sha256_done(), sha256_init(), and sha256_process().

## state

u32 sha256_state::state[8]

Referenced by sha256_compress(), sha256_done(), and sha256_init().

The documentation for this struct was generated from the following file:

- src/gsm/kdf/sha256_i.h